[ARVADOS] updated: 386aae039eaa8007dace4328b0dfd132256a79a5
git at public.curoverse.com
git at public.curoverse.com
Tue Jul 22 21:42:51 EDT 2014
Summary of changes:
doc/install/install-docker.html.textile.liquid | 12 ++++++------
docker/build.sh | 20 ++++++++++++++++++++
2 files changed, 26 insertions(+), 6 deletions(-)
via 386aae039eaa8007dace4328b0dfd132256a79a5 (commit)
from 5e062b44d6b9ebb70a7b0708436eb463b5e8ae7b (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 386aae039eaa8007dace4328b0dfd132256a79a5
Author: Ward Vandewege <ward at curoverse.com>
Date: Tue Jul 22 21:42:03 2014 -0400
* add argument help to build.sh
* fix clean/realclean/deepclean invocation syntax in documentation
refs #3219
diff --git a/doc/install/install-docker.html.textile.liquid b/doc/install/install-docker.html.textile.liquid
index 091d861..4c70f7d 100644
--- a/doc/install/install-docker.html.textile.liquid
+++ b/doc/install/install-docker.html.textile.liquid
@@ -84,22 +84,22 @@ crosbymichael/skydns latest 1923ce648d4c 5 months ago
h2. Updating the Arvados Docker containers
-If there has been an update to the Arvados Docker building code, it is safest to rebuild the Arvados Docker images from scratch. All build information can be cleared with the '--clean' option to build.sh:
+If there has been an update to the Arvados Docker building code, it is safest to rebuild the Arvados Docker images from scratch. All build information can be cleared with the 'clean' option to build.sh:
<notextile>
-<pre><code>~$ <span class="userinput">./build.sh --clean</span></code></pre>
+<pre><code>~$ <span class="userinput">./build.sh clean</span></code></pre>
</notextile>
-You can also use '--realclean', which does what '--clean' does and in addition removes all Arvados Docker containers and images from your system, with the exception of the arvados/debian image.
+You can also use 'realclean', which does what 'clean' does and in addition removes all Arvados Docker containers and images from your system, with the exception of the arvados/debian image.
<notextile>
-<pre><code>~$ <span class="userinput">./build.sh --realclean</span></code></pre>
+<pre><code>~$ <span class="userinput">./build.sh realclean</span></code></pre>
</notextile>
-Finally, the '--deepclean' option does what '--realclean' does, and also removes the arvados/debian, crosbymichael/skydns and crosbymichael/skydock images.
+Finally, the 'deepclean' option does what 'realclean' does, and also removes the arvados/debian, crosbymichael/skydns and crosbymichael/skydock images.
<notextile>
-<pre><code>~$ <span class="userinput">./build.sh --deepclean</span></code></pre>
+<pre><code>~$ <span class="userinput">./build.sh deepclean</span></code></pre>
</notextile>
h2. Running the Arvados Docker containers
diff --git a/docker/build.sh b/docker/build.sh
index e990ccd..c9fbf05 100755
--- a/docker/build.sh
+++ b/docker/build.sh
@@ -11,6 +11,26 @@ then
sudo apt-get -y install ruby1.9.3
fi
+function usage {
+ echo >&2
+ echo >&2 "usage: $0 [options]"
+ echo >&2
+ echo >&2 "Calling $0 without arguments will build all Arvados docker images"
+ echo >&2
+ echo >&2 "$0 options:"
+ echo >&2 " -h, --help Print this help text"
+ echo >&2 " clean Clear all build information"
+ echo >&2 " realclean clean and remove all Arvados Docker images except arvados/debian"
+ echo >&2 " deepclean realclean and remove arvados/debian, crosbymichael/skydns and "
+ echo >&2 " crosbymichael/skydns Docker images"
+ echo >&2
+}
+
+if [ "$1" = '-h' ] || [ "$1" = '--help' ]; then
+ usage
+ exit 1
+fi
+
build_tools/build.rb
if [[ "$?" == "0" ]]; then
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list